VERSION 5.00
Begin VB.Form frmLoadPosition 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Load Form at Old Position  --  by Adam V. (aka sabre)"
   ClientHeight    =   2175
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   6375
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2175
   ScaleWidth      =   6375
   Begin VB.Frame Frame1 
      Height          =   1575
      Left            =   120
      TabIndex        =   1
      Top             =   0
      Width           =   6135
      Begin VB.Label Label3 
         Caption         =   "These numbers are being shown by the timer called ""GetXandY"" on this form."
         ForeColor       =   &H00404040&
         Height          =   375
         Left            =   120
         TabIndex        =   8
         Top             =   1080
         Width           =   5895
      End
      Begin VB.Label Label2 
         Caption         =   "The numbers in these 2 boxes are what is going to tell us where to load the form next time you run it."
         ForeColor       =   &H00404040&
         Height          =   735
         Left            =   3240
         TabIndex        =   7
         Top             =   240
         Width           =   2775
      End
      Begin VB.Label LblYValue 
         Alignment       =   2  'Center
         BorderStyle     =   1  'Fixed Single
         Height          =   255
         Left            =   1920
         TabIndex        =   5
         ToolTipText     =   "This box shows the form's Y position on your screen"
         Top             =   720
         Width           =   1215
      End
      Begin VB.Label LblXValue 
         Alignment       =   2  'Center
         BorderStyle     =   1  'Fixed Single
         Height          =   255
         Left            =   1920
         TabIndex        =   4
         ToolTipText     =   "This box shows the form's X position on your screen"
         Top             =   240
         Width           =   1215
      End
      Begin VB.Label LblDescrbY 
         Caption         =   "Form's Y Value:"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   375
         Left            =   120
         TabIndex        =   3
         Top             =   720
         Width           =   1695
      End
      Begin VB.Label LblDescrbX 
         Caption         =   "Form's X Value:"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   8.25
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   375
         Left            =   120
         TabIndex        =   2
         Top             =   240
         Width           =   1695
      End
   End
   Begin VB.CommandButton CmdUnload 
      Caption         =   "Unload"
      Height          =   375
      Left            =   4920
      TabIndex        =   0
      ToolTipText     =   "Closes the program"
      Top             =   1680
      Width           =   1335
   End
   Begin VB.Timer GetXandY 
      Interval        =   1000
      Left            =   4320
      Top             =   1680
   End
   Begin VB.Label SourceCopyright 
      Caption         =   "All Source Copyright 2001 Adam V. (aka sabre)"
      ForeColor       =   &H00404040&
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   1800
      Width           =   3975
   End
End
Attribute VB_Name = "frmLoadPosition"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'#############################################################
'  Name of Example:  Load Form at Old Position
'
'  Version of VB:    6.0
'  Made by:          Adam V. (a.k.a. sabre)
'  Contact:          vakattak@aol.com
'  Difficulty:       Beginner
'  Comments:         This is a freely-distributed source for
'                    anyone to download and use.  All I ask is
'                    that you DON'T just copy the source and
'                    give me zero credit.
'
'                    If you can't figure it out, this source
'                    saves the last position of the window
'                    before you closed it, and then allows the
'                    window to load up at the same position it
'                    was in BEFORE you closed the window.
'#############################################################

Private Sub CmdUnload_Click()
'This is the Unload button on the form
'This simply closes the program

'NOTE:  This button is only optional, and it ISN'T needed for this
'       source to work
    Unload Me
    End
End Sub

Private Sub Form_Load()
'Declare the two variables we will be working with
Dim X As String, Y As String

'Grab the saved X Position of the form when you last closed it
    X$ = GetSetting(App.Title, "Settings", "PositionX")
'Grab the saved Y Position of the form when you last closed it
    Y$ = GetSetting(App.Title, "Settings", "PositionY")
     
'Put your Form to the X and Y Positions that we just "grabbed"
        Me.Left = Val(X$)
        Me.Top = Val(Y$)
End Sub

Private Sub Form_Unload(Cancel As Integer)
'Declare the two variables we will be working with
Dim X As String, Y As String

'Get the X Position of the Form as it is before you close it
    X$ = Me.Left
'Get the Y Position of the Form as it is before you close it
    Y$ = Me.Top

'Save the X Position of the Form as a Number for later use
        Call SaveSetting(App.Title, "Settings", "PositionX", X$)
'Save the Y Position of the Form as a Number for later use
        Call SaveSetting(App.Title, "Settings", "PositionY", Y$)
End Sub

Private Sub GetXandY_Timer()
'This is the Timer on the form
'This simply places the X and Y positions of your form in the boxes
'you see on the form

'NOTE:  This timer is optional, it ISN'T needed for this
'       source to work.  I just added it so you could see the X
'       and Y coordinates of the form before you closed it
    LblXValue.Caption = Me.Left
    LblYValue.Caption = Me.Top
End Sub

